Skip Menu |
 

This queue is for tickets about the Tk CPAN distribution.

Report information
The Basics
Id: 59082
Status: open
Priority: 0/
Queue: Tk

People
Owner: Nobody in particular
Requestors: rbambery [...] earthlink.net
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



CC: rbambery [...] earthlink.net
Subject: Failure with Tk-TIFF-0.10_51 and Tk 804.029
Date: Sat, 3 Jul 2010 14:51:23 -0700
To: bug-Tk-TIFF [...] rt.cpan.org
From: rjb <rbambery [...] earthlink.net>
Download (untitled) / with headers
text/plain 1.2k
Recently (June 5, 2010) I installed Tk-804.029 on my system which is Red Hat 3.4.6-10. Up to that time I was using Tk-804.028 and Tk-TIFF-0.10_51 with libtiff 3.8.2. perl -v This is perl, v5.8.8 built for x86_64-linux-thread-multi libtiff is at 3.8.2. I have developed a number of perl/Tk widgets over the years. Many of which use TIFF/geoTIFF images which are the default images from our image software. I was surprised when I got the following message from one of my widgets, called viewslopes.pl, earlier today (Jul 2, 2010). Show quoted text
> viewslopes.pl
Tk::TIFF object version 804.028 does not match bootstrap parameter 804.029 at /opt/perl/lib/5.8.8/x86_64-linux-thread-multi/DynaLoader.pm line 253. Compilation failed in require at /home/user/perl/viewslopes.pl line 91. BEGIN failed--compilation aborted at /home/user/perl/viewslopes.pl line 91. Show quoted text
>
Internally it calls: use Tk; use Tk::TIFF; use Tk::Photo; use Tk::ROText; There are other packages that it uses but I don't believe they are pertinent here because of the results from test.pl. I looked at the Tk-TIFF package and tried some changes but still get the same message. Even the test.pl in the package reports the same message. Any help you could provide would be sincerely appreciated. Ray Bambery [Reported also to slaven@rezic.de]
Download (untitled) / with headers
text/plain 1.7k
On 2010-07-03 17:51:38, rbambery@earthlink.net wrote: Show quoted text
> Recently (June 5, 2010) I installed Tk-804.029 on my system > which is Red Hat 3.4.6-10. Up to that time I was using > Tk-804.028 and Tk-TIFF-0.10_51 with libtiff 3.8.2. > > perl -v > This is perl, v5.8.8 built for x86_64-linux-thread-multi > > libtiff is at 3.8.2. > > I have developed a number of perl/Tk widgets over the years. Many > of which use TIFF/geoTIFF images which are the default images from our > image software. > > I was surprised when I got the following message from one of > my widgets, called viewslopes.pl, earlier today (Jul 2, 2010). >
> > viewslopes.pl
> Tk::TIFF object version 804.028 does not match bootstrap parameter > 804.029 at /opt/perl/lib/5.8.8/x86_64-linux-thread-multi/DynaLoader.pm > line 253. > Compilation failed in require at /home/user/perl/viewslopes.pl line > 91. > BEGIN failed--compilation aborted at /home/user/perl/viewslopes.pl > line 91.
> >
> > Internally it calls: > use Tk; > use Tk::TIFF; > use Tk::Photo; > use Tk::ROText; > > There are other packages that it uses but I don't believe they are > pertinent here > because of the results from test.pl. > > I looked at the Tk-TIFF package and tried some changes but still get > the > same message. > Even the test.pl in the package reports the same message. > > Any help you could provide would be sincerely appreciated. >
Hello Ray, after an update of Tk every Tk-using XS module has to be recompiled. This is a somewhat unfortunate behavior of Tk, but it was like this since Perl/Tk exists. I think the version check was invented to protect from API changes which may happen in Perl/Tk. Nowadays there are not so many API changes anymore, so maybe this check can be softened. I moved the ticket into the Tk queue, as this is not a Tk::TIFF issue. Regards, Slaven


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.